
Foreman - Feature #21989

API Support for Addition/Removal of Config Groups

12/15/2017 02:54 PM - Iain Walmsley

Status: New   

Priority: Low   

Assignee: Iain Walmsley   

Category: API   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently there's no way to use the API to add or remove config groups to individual hosts, as with individual Puppet classes.

(e.g for Puppetclasses)

curl -s -u $user:$password -H 'Content-Type: application/json' -d '{"puppetclass_id":"'"$puppetcla

ss_id"'"}' -X POST https://$foreman/api/hosts/$server/puppetclass_ids]

 To do the equivalent for config groups you need to pull down the current set, and append the new one on the end or, when removing,

parse and delete the one you want to get rid of. This is a bit of a pain really.

I understand can always group up classes at a lower level with a single Puppet class to avoid this but would really like this feature in

Foreman.

Something like this would be awesome;

curl -s -u admin:password -H 'Content-Type: application/json' -d '{"config_group_ids":"Memcache"}'

 -X POST https://foreman/api/hosts/server/config_group_ids

History

#1 - 12/15/2017 02:54 PM - Iain Walmsley

- translation missing: en.field_release deleted (297)

#2 - 03/05/2018 08:59 PM - Iain Walmsley

- Assignee set to Iain Walmsley

- Priority changed from Normal to Low

- Difficulty set to medium

This looks like another controller/set of routes can be added analogous to host_class_controller.
